Name: net-tools
Version: 1.60
Release: alt6

Summary: The basic tools for setting up networking
License: GPL
Group: System/Configuration/Networking
Url: http://www.tazenda.demon.co.uk/phil/%name
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %url/%name-%version.tar.bz2
Source1: ether-wake.c
Source2: resolve.c

Patch1: %name-1.57-alt-config.patch
Patch2: %name-1.59-alt-ipvs.patch
Patch3: %name-1.60-alt-nstrcmp.patch
Patch4: %name-1.60-rh-miiioctl.patch
Patch5: %name-1.60-rh-virtualname.patch
Patch6: %name-1.57-rh-bug22040.patch
Patch7: %name-1.60-alt-outformat.patch
Patch8: %name-1.60-rh-cycle.patch
Patch9: %name-1.60-alt-mii-tool-fflush.patch

# Automatically added by buildreq on Sun May 04 2003
BuildRequires: help2man

%description
The %name package contains the basic tools needed for setting up
networking: ethers, route and others.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl -e 'print "\n"x35' |make COPTS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
gcc $RPM_OPT_FLAGS %SOURCE1 -o ether-wake
gcc $RPM_OPT_FLAGS %SOURCE2 -o resolve
help2man -N ./resolve >resolve.1

%install
%__mkdir_p $RPM_BUILD_ROOT{/bin,/sbin,%_bindir,%_sbindir,%_mandir/man{1,5,8}}
%make_install install \
	BASEDIR=$RPM_BUILD_ROOT \
	COPTS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%__install -p -m755 ether-wake $RPM_BUILD_ROOT%_sbindir/
%__install -p -m755 resolve $RPM_BUILD_ROOT%_bindir/
%__install -p -m644 resolve.1 $RPM_BUILD_ROOT%_man1dir/

%find_lang --with-man '[a-z-]\+' --output %name.lang

%files -f %name.lang
/bin/*
/sbin/*
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%doc README* TODO

%changelog
* Wed May 21 2003 Dmitry V. Levin <ldv@altlinux.org> 1.60-alt6
- mii-tool: added fflush(3) call to the show_basic_mii() function,
  thanks to Yaroslav Rastrigin for the hint.

* Sun May 04 2003 Dmitry V. Levin <ldv@altlinux.org> 1.60-alt5
- resolve: added IPv6 support and manpage.
- netstat: fixed "-nic" operation (rh).

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1.60-alt4
- two patches from RH:
    * virtualname
    * bug22040
- fix output format length (outformat patch, bug  #0001105)

* Mon Jul 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1.60-alt3
- Fixed recent fix for nstrcmp (#0001056).

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1.60-alt2
- Added resolve utility (from MySQL but fixed).
- Added wake-on-lan wakeup utility, ether-wake (by Donald Becker).
- Fixed nstrcmp() - replaced by slightly modified version of
  rpmvercmp() from rpmlib.
- Don't use SIOCDEVPRIVATE for MII ioctls (rh).

* Thu Apr 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.60-alt1
- 1.60

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 1.59-ipl2mdk
- Added ipvs patch.

* Sun Feb 18 2001 Dmitry V. Levin <ldv@fandra.org> 1.59-ipl1mdk
- 1.59

* Wed Nov 08 2000 Dmitry V. Levin <ldv@fandra.org> 1.57-ipl2mdk
- Enable all protocol options.
- Build and install mii-tool.
- Add more manpages and documentation.

* Tue Jun 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.57-ipl1mdk
- 1.57
- RE and Fandra adaptions.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.55-1mdk
- 1.55

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.54-1mdk
- Spec-helper clean-up.
- Merge with rh-patchs.
- use find_lang macros for locales.
- Adjust groups.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- %lang in man/-locale.
- big spec cleanup.

* Sun Aug 29 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.53:	- fixes several buffer overruns
	- adds german man pages
	- adds french ethers.5 translation
	- adds estonian
- fix up .spec

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release (8mdk).

* Sat Jul 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved french manpages from fr_FR to fr
- compressed all man pages
- added french, spanish and wallon descriptions

* Fri Jun 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix potentional bufer overruns.
- patch to recognize ESP and GRE protocols for VPN masquerade
  <jhardin@wolfenet.com>.

* Wed Apr 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 1.52

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from RedHat6.0.
- Update to 1.51.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.50.
- added slattach/plipconfig/ipmaddr/iptunnel commands.
- enabled translated man pages.

* Tue Dec 15 1998 Jakub Jelinek <jj@ultra.linux.cz>
- update to 1.49.

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.48.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.47.

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.46

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- build root
- include ethers.5

* Thu Jun 11 1998 Aron Griffis <agriffis@coat.com>
- upgraded to 1.45
- patched hostname.c to initialize buffer
- patched ax25.c to use kernel headers

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Feb 27 1998 Jason Spangler <jasons@usemail.com>
- added config patch

* Fri Feb 27 1998 Jason Spangler <jasons@usemail.com>
- changed to net-tools 1.432
- removed old glibc 2.1 patch

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added extra patches for glibc 2.1

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- included complete set of network protocols (some were removed for
  initial glibc work)

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- updated glibc patch for glibc 2.0.5

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- updated to 1.33
